# Class `juce.Component`

JUCE Component.

Is a pointer to a JUCE Component

As of now, components can't be created by protoplug scripts. This is mainly for accessing the custom GUI component using gui.getComponent.

## Methods

juce.Component:repaint () | Request total repaint.
juce.Component:repaint (area) | Request partial repaint.
juce.Component:repaint (x, y, width, height) | Request partial repaint.
juce.Component:createComponentSnapshot (areaToGrab[, clipImageToComponentBounds=true[, scaleFactor=1]]) | Create component snapshot.

## Methods

juce.Component:repaint ()
  Request total repaint. Tell the operating system that the component is "dirty" and needs to be redrawn. The component's paint method will be called asynchronously (gui.paint)
juce.Component:repaint (area)
  Request partial repaint. Tell the operating system that a portion of the component is "dirty" and needs to be redrawn. The component's paint method will be called asynchronously (gui.paint). The dirty region will be accessible with Graphics.getClipBounds().

  ### Parameters:

  - area juce.Rectangle_int the region needing the be redrawn
juce.Component:repaint (x, y, width, height)
  Request partial repaint. Tell the operating system that a portion of the component is "dirty" and needs to be redrawn. The component's paint method will be called asynchronously (gui.paint). The dirty region will be accessible with Graphics.getClipBounds().

  ### Parameters:

  - x the region needing the be redrawn
  - y the region needing the be redrawn
  - width the region needing the be redrawn
  - height the region needing the be redrawn
juce.Component:createComponentSnapshot
(areaToGrab[, clipImageToComponentBounds=true[, scaleFactor=1]])
  Create component snapshot. Paint the component into a virtual buffer and return it as an image.

  ### Parameters:

  - areaToGrab juce.Rectangle_int the region to the be drawn
  - clipImageToComponentBounds (default true)
  - scaleFactor (default 1)

  ### Returns:

  juce.Image

generated by LDoc 1.4.2